ChangeSet 1.1254.4.29, 2003/06/04 12:32:45-07:00, greg@kroah.com

[PATCH] PCI: remove usage of pci_for_each_dev() in drivers/message/fusion/mptbase.c


 drivers/message/fusion/mptbase.c |    7 ++-----
 1 files changed, 2 insertions(+), 5 deletions(-)


diff -Nru a/drivers/message/fusion/mptbase.c b/drivers/message/fusion/mptbase.c
--- a/drivers/message/fusion/mptbase.c	Wed Jun  4 18:10:03 2003
+++ b/drivers/message/fusion/mptbase.c	Wed Jun  4 18:10:03 2003
@@ -1152,7 +1152,7 @@
 static int __init
 mpt_pci_scan(void)
 {
-	struct pci_dev *pdev;
+	struct pci_dev *pdev = NULL;
 	struct pci_dev *pdev2;
 	int found = 0;
 	int count = 0;
@@ -1164,11 +1164,8 @@
 	 *  NOTE: The 929, 929X, 1030 and 1035 will appear as 2 separate PCI devices,
 	 *  one for each channel.
 	 */
-	pci_for_each_dev(pdev) {
+	while ((pdev = pci_find_device(PCI_VENDOR_ID_LSI_LOGIC, PCI_ANY_ID, pdev)) != NULL) {
 		pdev2 = NULL;
-		if (pdev->vendor != 0x1000)
-			continue;
-
 		if ((pdev->device != MPI_MANUFACTPAGE_DEVICEID_FC909) &&
 		    (pdev->device != MPI_MANUFACTPAGE_DEVICEID_FC929) &&
 		    (pdev->device != MPI_MANUFACTPAGE_DEVICEID_FC919) &&
